﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Cookies_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult WriteCookie()
        {
            //Create a Cookie with a suitable Key.
            HttpCookie nameCookie = new HttpCookie("Name");

            //Set the Cookie value.
            nameCookie.Values["Name"] = Request.Form["name"];

            //Set the Expiry date.
            nameCookie.Expires = DateTime.Now.AddDays(30);

            //Add the Cookie to Browser.
            Response.Cookies.Add(nameCookie);

            return RedirectToAction("Index");
        }

        [HttpPost]
        public ActionResult ReadCookie()
        {
            //Fetch the Cookie using its Key.
            HttpCookie nameCookie = Request.Cookies["Name"];

            //If Cookie exists fetch its value.
            string name = nameCookie != null ? nameCookie.Value.Split('=')[1] : "undefined";

            TempData["Message"] = name;

            return RedirectToAction("Index");
        }

        [HttpPost]
        public ActionResult DeleteCookie()
        {
            //Fetch the Cookie using its Key.
            HttpCookie nameCookie = Request.Cookies["Name"];

            //Set the Expiry date to past date.
            nameCookie.Expires = DateTime.Now.AddDays(-1);

            //Update the Cookie in Browser.
            Response.Cookies.Add(nameCookie);

            return RedirectToAction("Index");
        }
    }
}